Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class GroovyCategorySupport.ThreadCategoryInfo

    java.lang.Object
      java.util.AbstractMap
          java.util.HashMap
              org.codehaus.groovy.runtime.GroovyCategorySupport.ThreadCategoryInfo

    public static class GroovyCategorySupport.ThreadCategoryInfo
    extends java.util.HashMap

Method Summary
`CategoryMethodList` | `getCategoryMethods(java.lang.String name)`
`java.lang.Object` | `use(java.util.List categoryClasses, Closure closure)`

Methods inherited from class java.util.HashMap
java.util.HashMap#get(java.lang.Object), java.util.HashMap#put(java.lang.Object, java.lang.Object), java.util.HashMap#values(), java.util.HashMap#clone(), java.util.HashMap#clear(), java.util.HashMap#size(), java.util.HashMap#isEmpty(), java.util.HashMap#remove(java.lang.Object), java.util.HashMap#entrySet(), java.util.HashMap#putAll(java.util.Map), java.util.HashMap#keySet(), java.util.HashMap#containsValue(java.lang.Object), java.util.HashMap#containsKey(java.lang.Object), java.util.HashMap#equals(java.lang.Object), java.util.HashMap#toString(), java.util.HashMap#hashCode(), java.util.HashMap#wait(long), java.util.HashMap#wait(long, int), java.util.HashMap#wait(), java.util.HashMap#getClass(), java.util.HashMap#notify(), java.util.HashMap#notifyAll()

Methods inherited from class java.util.AbstractMap
java.util.AbstractMap#get(java.lang.Object), java.util.AbstractMap#put(java.lang.Object, java.lang.Object), java.util.AbstractMap#equals(java.lang.Object), java.util.AbstractMap#toString(), java.util.AbstractMap#values(), java.util.AbstractMap#hashCode(), java.util.AbstractMap#clear(), java.util.AbstractMap#size(), java.util.AbstractMap#isEmpty(), java.util.AbstractMap#remove(java.lang.Object), java.util.AbstractMap#entrySet(), java.util.AbstractMap#putAll(java.util.Map), java.util.AbstractMap#keySet(), java.util.AbstractMap#containsValue(java.lang.Object), java.util.AbstractMap#containsKey(java.lang.Object), java.util.AbstractMap#wait(long), java.util.AbstractMap#wait(long, int), java.util.AbstractMap#wait(), java.util.AbstractMap#getClass(), java.util.AbstractMap#notify(), java.util.AbstractMap#notifyAll()

Method Detail

### getCategoryMethods

    public CategoryMethodList getCategoryMethods(java.lang.String name)

### use

    public java.lang.Object use(java.util.List categoryClasses, Closure closure)

Groovy Documentation